Package com.collibra.dgc.core.api.model.workflow

# Enum Class WorkflowExclusivity

Object
Enum<WorkflowExclusivity>
WorkflowExclusivity

All Implemented Interfaces:
  `Serializable`, `Comparable<WorkflowExclusivity>`, `Constable`

public enum WorkflowExclusivity extends Enum<WorkflowExclusivity>
Identifies the number of times a resource workflow is able to be start.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFINITION_EXCLUSIVITY`
  The workflow can only be started once on each resource.
  `RESOURCE_EXCLUSIVITY`
  The workflow can only be started as the sole workflow of a resource.
  `UNCONSTRAINED`
  No restrictions apply to starting this workflow.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkflowExclusivity`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WorkflowExclusivity[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESOURCE_EXCLUSIVITY

    public static final WorkflowExclusivity RESOURCE_EXCLUSIVITY
    The workflow can only be started as the sole workflow of a resource. No other workflows are allowed to start, not even workflows of other workflow definition.

  - ### DEFINITION_EXCLUSIVITY

    public static final WorkflowExclusivity DEFINITION_EXCLUSIVITY
    The workflow can only be started once on each resource. Other workflows are still allowed to start.

  - ### UNCONSTRAINED

    public static final WorkflowExclusivity UNCONSTRAINED
    No restrictions apply to starting this workflow.

- ## Method Details

  - ### values

    public static WorkflowExclusivity[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WorkflowExclusivity valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null